;===============================================================================
;
; nature dance 1.0
;
; - dance command only lasts one turn
; - automatically select the dance based on battle background
;
;===============================================================================

header
hirom

;===============================================================================
;
; erase dance menu
;
;===============================================================================
org     $C17D0F

    ;setup null menu for dance
        db #$95, #$77           ;null dance window

warnpc  $C17D11
;===============================================================================
;
; setup dance action
;
;===============================================================================
org     $C2177D
dance_command:

    ;init variables
        LDA #$FF                
        STA $B7                 ;don't change background                
        STA $1D4C               ;set all dances learned
        LDA #$02                
        STA $B5                 ;save command as magic
        STZ $3415               ;to force retarget

    ;setup dance move
        LDX $11E2               ;battle background
        LDA $ED8E5B,X           ;background dance
        STA $32E1,Y             ;save it
        JSR $059C               ;get dance move
        STA $B6                 ;save it

    ;execute move
        JMP $175F               ;execute it

warnpc  $C217C7

;===============================================================================
;
; disable dance learning
;
;===============================================================================
org     $C25EE8

    ;skip dance learning
        JMP $5F00               ;skip dance learning

warnpc  $C25F00

;===============================================================================
;
; enable dance command (battle)
;
;===============================================================================
org     $C25439

    RTS

warnpc  $C2543E

;===============================================================================
;
; enable dance comamnd (menu)
;
;===============================================================================
org     $C36160

    JMP $616F

warnpc  $C3616F
